Represents a attribute whose values are multiline text

package | phpLDAPadmin
subpackage | Templates

### Methods

## __construct()

    __construct($name, $values, $server_id, $source)

Inherited

inherited_from | \Attribute::__construct()

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## addValue()

    addValue($new_val, $i)

Inherited

inherited_from | \Attribute::addValue()

### Parameters

#### $new_val

#### $i

## Autovalue is called after the attribute is initialised, and thus the values from the ldap server will be set.

    autoValue($new_val)

Inherited

inherited_from | \Attribute::autoValue()

### Parameters

#### $new_val

## clearValue()

    clearValue()

Inherited

inherited_from | \Attribute::clearValue()

## delValue()

    delValue($i)

Inherited

inherited_from | \Attribute::delValue()

### Parameters

#### $i

## Display the values removed in an attribute.

    getAddedValues()

Inherited

inherited_from | \Attribute::getAddedValues()

## Return a list of aliases for this Attribute (as defined by the schema) This list will be lowercase.

    getAliases()

Inherited

inherited_from | \Attribute::getAliases()

## getAutoValue()

    getAutoValue()

Inherited

inherited_from | \Attribute::getAutoValue()

## getCols()

    getCols()

## getDescription()

    getDescription()

Inherited

inherited_from | \Attribute::getDescription()

## getFriendlyName()

    getFriendlyName()

Inherited

inherited_from | \Attribute::getFriendlyName()

## getHelper()

    getHelper()

Inherited

inherited_from | \Attribute::getHelper()

## getHelperValue()

    getHelperValue()

Inherited

inherited_from | \Attribute::getHelperValue()

## getHint()

    getHint()

Inherited

inherited_from | \Attribute::getHint()

## getIcon()

    getIcon()

Inherited

inherited_from | \Attribute::getIcon()

## getLDAPtype()

    getLDAPtype()

Inherited

inherited_from | \Attribute::getLDAPtype()

## getMaxLength()

    getMaxLength()

Inherited

inherited_from | \Attribute::getMaxLength()

## getMaxValueCount()

    getMaxValueCount()

Inherited

inherited_from | \Attribute::getMaxValueCount()

## getMinValueCount()

    getMinValueCount()

Inherited

inherited_from | \Attribute::getMinValueCount()

## Return the name of the attribute.

    getName(boolean $lower, boolean $real) : string

Inherited

inherited_from | \Attribute::getName()

### Parameters

#### $lower

`boolean`

- Return the attribute in normal or lower case (default lower)

#### $real

`boolean`

- Return the real attribute name (with ;binary, or just the name)

### Returns

`string`Attribute name

## getOldValue()

    getOldValue($i)

Inherited

inherited_from | \Attribute::getOldValue()

### Parameters

#### $i

## getOldValues()

    getOldValues()

Inherited

inherited_from | \Attribute::getOldValues()

## getOnChange()

    getOnChange()

Inherited

inherited_from | \Attribute::getOnChange()

## getPage()

    getPage()

Inherited

inherited_from | \Attribute::getPage()

## getPostValue()

    getPostValue()

Inherited

inherited_from | \Attribute::getPostValue()

## Display the values removed in an attribute.

    getRemovedValues()

Inherited

inherited_from | \Attribute::getRemovedValues()

## getRows()

    getRows()

## getSize()

    getSize()

Inherited

inherited_from | \Attribute::getSize()

## getSource()

    getSource()

Inherited

inherited_from | \Attribute::getSource()

## getSpacer()

    getSpacer()

Inherited

inherited_from | \Attribute::getSpacer()

## getType()

    getType()

Inherited

inherited_from | \Attribute::getType()

## getValue()

    getValue($i)

Inherited

inherited_from | \Attribute::getValue()

### Parameters

#### $i

## getValueCount()

    getValueCount()

Inherited

inherited_from | \Attribute::getValueCount()

## getValues()

    getValues()

Inherited

inherited_from | \Attribute::getValues()

## getVerify()

    getVerify()

Inherited

inherited_from | \Attribute::getVerify()

## hasBeenModified()

    hasBeenModified()

Inherited

inherited_from | \Attribute::hasBeenModified()

## haveFriendlyName()

    haveFriendlyName()

Inherited

inherited_from | \Attribute::haveFriendlyName()

## haveMoreValues()

    haveMoreValues()

Inherited

inherited_from | \Attribute::haveMoreValues()

## hide()

    hide()

Inherited

inherited_from | \Attribute::hide()

## initValue()

    initValue($new_val)

Inherited

inherited_from | \Attribute::initValue()

### Parameters

#### $new_val

## isForceDelete()

    isForceDelete()

Inherited

inherited_from | \Attribute::isForceDelete()

## isInternal()

    isInternal()

Inherited

inherited_from | \Attribute::isInternal()

## isMay()

    isMay()

Inherited

inherited_from | \Attribute::isMay()

## isMultiple()

    isMultiple()

Inherited

inherited_from | \Attribute::isMultiple()

## Return if this attribute is an RDN attribute

    isRDN() : boolean

Inherited

inherited_from | \Attribute::isRDN()

### Returns

`boolean`

## isReadOnly()

    isReadOnly()

Inherited

inherited_from | \Attribute::isReadOnly()

## isRequired()

    isRequired()

Inherited

inherited_from | \Attribute::isRequired()

## isVisible()

    isVisible()

Inherited

inherited_from | \Attribute::isVisible()

## justModified()

    justModified()

Inherited

inherited_from | \Attribute::justModified()

## Does this attribute need supporting JS

    needJS($type)

Inherited

inherited_from | \Attribute::needJS()

### Parameters

#### $type

## setCols()

    setCols($cols)

### Parameters

#### $cols

## setDescription()

    setDescription($description)

Inherited

inherited_from | \Attribute::setDescription()

### Parameters

#### $description

## setForceDelete()

    setForceDelete()

Inherited

inherited_from | \Attribute::setForceDelete()

## setHint()

    setHint($hint)

Inherited

inherited_from | \Attribute::setHint()

### Parameters

#### $hint

## setIcon()

    setIcon($icon)

Inherited

inherited_from | \Attribute::setIcon()

### Parameters

#### $icon

## setInternal()

    setInternal()

Inherited

inherited_from | \Attribute::setInternal()

## setLDAPtype()

    setLDAPtype($type)

Inherited

inherited_from | \Attribute::setLDAPtype()

### Parameters

#### $type

## setMaxLength()

    setMaxLength($maxlength)

Inherited

inherited_from | \Attribute::setMaxLength()

### Parameters

#### $maxlength

## setMaxValueCount()

    setMaxValueCount($max)

Inherited

inherited_from | \Attribute::setMaxValueCount()

### Parameters

#### $max

## setMinValueCount()

    setMinValueCount($min)

Inherited

inherited_from | \Attribute::setMinValueCount()

### Parameters

#### $min

## setOldValue()

    setOldValue($val)

Inherited

inherited_from | \Attribute::setOldValue()

### Parameters

#### $val

## setOptional()

    setOptional()

Inherited

inherited_from | \Attribute::setOptional()

## setPage()

    setPage($page)

Inherited

inherited_from | \Attribute::setPage()

### Parameters

#### $page

## setPostValue()

    setPostValue($postvalue)

Inherited

inherited_from | \Attribute::setPostValue()

### Parameters

#### $postvalue

## setProperties()

    setProperties($properties)

Inherited

inherited_from | \Attribute::setProperties()

### Parameters

#### $properties

## setRDN()

    setRDN($rdn)

Inherited

inherited_from | \Attribute::setRDN()

### Parameters

#### $rdn

## setReadOnly()

    setReadOnly()

Inherited

inherited_from | \Attribute::setReadOnly()

## setRequired()

    setRequired()

Inherited

inherited_from | \Attribute::setRequired()

## setRows()

    setRows($rows)

### Parameters

#### $rows

## setSize()

    setSize($size)

Inherited

inherited_from | \Attribute::setSize()

### Parameters

#### $size

## setType()

    setType($type)

Inherited

inherited_from | \Attribute::setType()

### Parameters

#### $type

## setValue()

    setValue($new_val)

Inherited

inherited_from | \Attribute::setValue()

### Parameters

#### $new_val

## setXML()

    setXML($values)

Inherited

inherited_from | \Attribute::setXML()

### Parameters

#### $values

## show()

    show()

Inherited

inherited_from | \Attribute::show()

## Prunes off anything after the ";" in an attr name.

    real_attr_name() : string

Inherited

This is useful for attributes that may have ";binary" appended to their names. With real_attr_name(), you can more easily fetch these attributes' schema with their "real" attribute name.

inherited_from | \Attribute::real_attr_name()

### Returns

`string`

## Capture all the LDAP details we are interested in

    setLDAPdetails(\sattr $sattr)

Inherited

inherited_from | \Attribute::setLDAPdetails()

### Parameters

#### $sattr

`\sattr`

Schema Attribute

### Properties

## $name

    $name

Inherited

inherited_from | \Attribute::$$name

## $order

    $order

Inherited

inherited_from | \Attribute::$$order

## $ordersort

    $ordersort

Inherited

inherited_from | \Attribute::$$ordersort

## $page

    $page

Inherited

inherited_from | \Attribute::$$page

## $rdn

    $rdn

Inherited

inherited_from | \Attribute::$$rdn

## $aliases

    $aliases

Inherited

inherited_from | \Attribute::$$aliases

## $autovalue

    $autovalue

Inherited

inherited_from | \Attribute::$$autovalue

## $cols

    $cols

## $display

    $display

Inherited

inherited_from | \Attribute::$$display

## $forcedelete

    $forcedelete

Inherited

inherited_from | \Attribute::$$forcedelete

## $forcehide

    $forcehide

Inherited

inherited_from | \Attribute::$$forcehide

## $helper

    $helper

Inherited

inherited_from | \Attribute::$$helper

## $helpervalue

    $helpervalue

Inherited

inherited_from | \Attribute::$$helpervalue

## $hint

    $hint

Inherited

inherited_from | \Attribute::$$hint

## $icon

    $icon

Inherited

inherited_from | \Attribute::$$icon

## $internal

    $internal

Inherited

inherited_from | \Attribute::$$internal

## $ldaptype

    $ldaptype

Inherited

inherited_from | \Attribute::$$ldaptype

## $max_value_count

    $max_value_count

Inherited

inherited_from | \Attribute::$$max_value_count

## $maxlength

    $maxlength

Inherited

inherited_from | \Attribute::$$maxlength

## $min_value_count

    $min_value_count

Inherited

inherited_from | \Attribute::$$min_value_count

## $modified

    $modified

Inherited

inherited_from | \Attribute::$$modified

## $oldvalues

    $oldvalues

Inherited

inherited_from | \Attribute::$$oldvalues

## $onchange

    $onchange

Inherited

inherited_from | \Attribute::$$onchange

## $postvalue

    $postvalue

Inherited

inherited_from | \Attribute::$$postvalue

## $readonly

    $readonly

Inherited

inherited_from | \Attribute::$$readonly

## $rows

    $rows

## $size

    $size

Inherited

inherited_from | \Attribute::$$size

## $source

    $source

Inherited

inherited_from | \Attribute::$$source

## $spacer

    $spacer

Inherited

inherited_from | \Attribute::$$spacer

## $type

    $type

Inherited

inherited_from | \Attribute::$$type

## $unique

    $unique

Inherited

inherited_from | \Attribute::$$unique

## $values

    $values

Inherited

inherited_from | \Attribute::$$values

## $verify

    $verify

Inherited

inherited_from | \Attribute::$$verify

## $visible

    $visible

Inherited

inherited_from | \Attribute::$$visible